import defaultSettings from "../../settings";

const state = {
  title: defaultSettings.title,
  fixedHeader: defaultSettings.fixedHeader,
};

const mutations = {
  CHANGE_SETTING: (state: any, { key, value }) => {
    if (state.hasOwnProperty(key)) {
      state[key] = value;
    }
  },
};

const actions = {
  changeSetting({ commit }, data) {
    commit("CHANGE_SETTING", data);
  },
};

export default {
  namespaced: true,
  state,
  mutations,
  actions,
};
